To use the Paltalk app you must have OSX version 10.9 or above installed on your Mac.  For best performance you should always keep your Mac updated with the latest operating system.